%global srcname portend
%{?python_enable_dependency_generator}

Summary:       TCP port monitoring utilities
Name:          python-%{srcname}
Version:       3.2.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/jaraco/portend
Source0:       https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires: python3-devel python3-pytest

BuildArch:     noarch
 
%description
 por·tend pôrˈtend/ be a sign or warning that (something, especially something momentous or calamitous)
is likely to happen.

%package -n python3-%{srcname}
Summary:        portend documentation

%description -n python3-%{srcname}
 por·tend pôrˈtend/ be a sign or warning that (something, especially something momentous or calamitous)
is likely to happen.

%prep
%autosetup -n %{srcname}-%{version}
%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install

%check
sed -i 's/ --flake8//' pytest.ini
LANG=C.utf-8 %{__python3} -m pytest --ignore=build

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/%{srcname}-%{version}.dist-info

%changelog
* Mon Sep 25 2023 cunshunxia <cunshunxia@tencent.com> - 3.2.0-1
- Upgrade to version 3.2.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 22 2023 Shuo Wang <abushwang@tencent.com> - 3.1.0-2
- improve python macro

* Thu Dec 29 2022 Shuo Wang <abushwang@tencent.com> - 3.1.0-1
- initial build
